<?php
/**
 * @package WavypointPopUps
 */
/*
 * Plugin Name:       Wavypoint Pop-Ups – Exit Intent, Marketing & Conversion Popup Builder
 * Plugin URI:        https://www.wavypoint.com/plugins/wavypoint-pop-ups-smart-animated-visual-wordpress-popups
 * Description:       Create high-converting popups in WordPress: exit intent, smart targeting, banners, and video popups to boost leads and sales.
 * Version:           1.0.3
 * Requires at least: 5.2
 * Requires PHP:      7.2
 * Author:            Mohamed Saleh
 * Author URI:        https://wavypoint.com
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       wavypoint-pop-ups
 * Domain Path:       /languages
 */

/*
Copyright (C) 2026 Wavypoint

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License v2 or later.
*/

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}


// Require Once The Composer Autoload
if( file_exists( dirname( __FILE__ ) . '/vendor/autoload.php' ) ) {
	require_once dirname( __FILE__ ) . '/vendor/autoload.php';
}

// Define Constants
define( 'WAVYPOINT_POPUPS_PLUGIN', plugin_basename( __FILE__ ) );
define('WAVYPOINT_CDN', 'https://wavypoint.com/cdn/');


function wavypoint_plugin_activate() {

	WavypointPopUps\Base\Activate::activate();
}
register_activation_hook( __FILE__, 'wavypoint_plugin_activate' );

function wavypoint_plugin_deactivate() {
	
	WavypointPopUps\Base\Deactivate::deactivate();
}
register_deactivation_hook( __FILE__, 'wavypoint_plugin_deactivate' );


if( class_exists( 'WavypointPopUps\\Init' ) ){
	WavypointPopUps\Init::registerServices();
}


